package com.ruoyi.cai.pay;

import cn.hutool.core.lang.Snowflake;
import cn.hutool.core.util.IdUtil;


public class OrderNoUtil {

    public static final Snowflake snowflake = IdUtil.getSnowflake(1, 1);

    public static final String VIP_ORDER_SUB = "V";
    public static final String RECHARGE_ORDER_SUB = "R";

    public static String createOrderNo(String sub){
        return sub + snowflake.nextIdStr();
    }
}
